## org.apache.myfaces.custom.htmlTag
Class HtmlTagRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.htmlTag.HtmlTagRenderer

public class HtmlTagRenderer
extends HtmlRenderer

Version:
  $Revision: 278631 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  bdudney (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `RENDERER_TYPE`

Constructor Summary
`HtmlTagRenderer()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlTagRenderer

    public HtmlTagRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`